Subject: Re: [PATCH v4] completion: ignore chpwd_functions when cding on zsh

From: Øystein Walle <[email-masked]>
Date: Thu, 16 Oct 2014 18:10:14 +0000 (UTC)

Brandon Turner <bt <at> brandonturner.net> writes:

> 
> On Thu, Oct 9, 2014 at 5:11 PM, Junio C Hamano <gitster <at> pobox.com> wrote:
> > Actually the patch was slightly wrong.  It did not quite matter as
> > "cd ''" is a no-op, but "git -C '' cmd" is not that lenient (which
> > may be something we may want to fix) and breaks t9902 by exposing
> > an existing breakage in the callchain.
> >
> > Here is a replacement.
> 
> I did some more testing on this iteration as well - looks good. 
> 

Sorry, for the late reply, guys...

I've tested it too and it seems to work just fine.

As for my comments about using $=2 instead of $2: When zsh runs through
this code it does so while emulating ksh. Thus the reliance on splitting
unquoted expansions is not a problem. I was unaware of this until ten
minutes ago. 

Øsse